
Figure - Bug #113994
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】随意打开桌面上的一个应用，手势上划关闭， 再次手势上划，刚刚关闭的应
用被打开
2022-11-16 17:09 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-16

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211160534

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211260343

Reproducibility: Every time Fixed Version: 2022-11-26

Test Type: IT Root cause: 需求变更

Description

【前提条件】

1、设备已开机

2、后台无进程

【测试步骤】

1、随意打开桌面上的一个应用

2、手势上划关闭

3、再次手势上划（不停顿且非垂直）

【预期结果】

3、无实际事件发生

【实际结果】

3、刚刚关闭的应用被打开

History

#1 - 2022-11-22 10:42 - CD APP-王营

系统原生的功能  quickSwitch，手势快速上滑后有水平位移时，会拉起刚刚打开且在后台运行的应用，需要评估是否裁减掉此功能。

#2 - 2022-11-22 11:14 - CD TPM-王祥林

- File pixel.mp4 added

#3 - 2022-11-22 11:17 - CD TPM-王祥林

确认是原生的设计，两种方式可以打开上次的应用。

1.底部从左到右横滑。

2.底部往右上方斜滑。

参考附件pixel上的视频。

#4 - 2022-11-22 11:32 - CD TPM-王祥林
王营

和浩云沟通了一下需求，结合车机的使用场景，把从底部往斜上方滑以及底部横向滑这两种方式都禁用掉，不切换应用。

麻烦处理一下。

#5 - 2022-11-24 18:25 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#6 - 2022-11-25 10:14 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

■ Current conclusion

取消导航栏手势的横向滑动判定

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/165111

#7 - 2022-11-25 15:05 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD TEST-方永红

- Fixed Version set to 2022-11-26

- Root cause set to 需求变更

#8 - 2022-11-28 10:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211260343

11.28  

验证通过

#9 - 2022-11-28 10:56 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:55 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

165111 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com

FW:Launcher: Disable swipe left and right gesture1.Disable the swipe left and right gesture to switch applications.TC-RID: 1201-0205302IssueID:

TS-R-BUG-113994Change-Id: I5618d50c02f74482f94975b2bdc34af592421f6c
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/165111


Files

logcat.txt 1.25 MB 2022-11-16 CD TEST-方永红

Phone-STS40X190114 2022-11-16 17-08-30.mp4 8.24 MB 2022-11-16 CD TEST-方永红

pixel.mp4 38.4 MB 2022-11-22 CD TPM-王祥林
